# Uses of Interface
org.sonatype.maven.polyglot.execute.ExecuteTask

Packages that use ExecuteTask
Package
Description
org.sonatype.maven.polyglot.execute
org.sonatype.maven.polyglot.groovy.builder
org.sonatype.maven.polyglot.groovy.execute

## Uses of ExecuteTask in org.sonatype.maven.polyglot.execute

Classes in org.sonatype.maven.polyglot.execute that implement ExecuteTask
Modifier and Type
Class
Description
`class`
`ExecuteTaskSupport`
Support for `ExecuteTask` implementations.
Methods in org.sonatype.maven.polyglot.execute that return types with arguments of type ExecuteTask
Modifier and Type
Method
Description
`List<ExecuteTask>`
ExecuteManager.`getTasks(org.apache.maven.model.Model model)`
`List<ExecuteTask>`
ExecuteManagerImpl.`getTasks(org.apache.maven.model.Model model)`
Method parameters in org.sonatype.maven.polyglot.execute with type arguments of type ExecuteTask
Modifier and Type
Method
Description
`void`
ExecuteManager.`register(org.apache.maven.model.Model model, List<ExecuteTask> tasks)`
`void`
ExecuteManagerImpl.`register(org.apache.maven.model.Model model, List<ExecuteTask> tasks)`

## Uses of ExecuteTask in org.sonatype.maven.polyglot.groovy.builder

Methods in org.sonatype.maven.polyglot.groovy.builder that return types with arguments of type ExecuteTask
Modifier and Type
Method
Description
`List<ExecuteTask>`
ModelBuilder.`getTasks()`

## Uses of ExecuteTask in org.sonatype.maven.polyglot.groovy.execute

Classes in org.sonatype.maven.polyglot.groovy.execute that implement ExecuteTask
Modifier and Type
Class
Description
`class`
`GroovyExecuteTask`
Encapsulates a Groovy `ExecuteTask`.